@namespace bf "http://id.loc.gov/ontologies/bibframe/";
@namespace dc "http://purl.org/dc/elements/1.1/";
@namespace exml "https://sub.uni-goettingen.de/met/standards/entity-xml#";
@namespace gndo "https://d-nb.info/standards/elementset/gnd#";
@namespace mml "http://www.w3.org/1998/Math/MathML";
@namespace oxy "http://www.oxygenxml.com/extensions/author";
@namespace svg "http://www.w3.org/2000/svg";
@namespace tei "http://www.tei-c.org/ns/1.0";
@namespace xi "http://www.w3.org/2001/XInclude";
@namespace xlink "http://www.w3.org/1999/xlink";
@namespace xml "http://www.w3.org/XML/1998/namespace";


/* philology > units > unit[n]::before(7) {
    content: 
        oxy_button(
            actionID, 'insert.note',
            transparent, false,
            fontInherit, false);
} */


/* w:focus::after(10) {
    content: 
        oxy_button(
            action, oxy_action(
                name, "Ana",
                operation, 'InsertFragmentOperation',
                arg-fragment, '<ana corresp="${xpath_eval(./@xml:id)}">${caret}</ana>',
                arg-insertLocation, './ancestor::*:unit/*:analysis',
                arg-insertPostition, 'After'
            ));
}

ana[corresp]::before(10) {
    content: oxy_xpath('for $corresp in ./@corresp return //*[@xml:id=$corresp]');
} */



/*NOTES*/

philology notes > note[type]:focus::before(90) {
    content: 
        oxy_popup(
            edit, '@type', 
            values, "con, lx, gr, poet, rek",
            labels, "Inhalt, Lexik, Grammatik, Poetologie, Rekonstruktion",
            fontInherit, true, 
            selectionMode, multiple
        ) 
        ": ";
}